<!DOCTYPE html>
<html lang="en">
<head>
  <%- include('partials/head.ejs'); -%>
</head>
<body>

<div class="container bg-3 text-center">
  <h3><%= page %></h3><br>
  <div class="row text-left">
    <% if(user == "user not found"){ %>
        <h4>User not found.</h4>
    <% }else{
          if(user['appointments'] && user['appointments'].length > 0){
            user['appointments'].forEach(function (appointment, index){ %>
              <div class="appointmentcard">
                <div class="logowithtext">
                  <span><img src="/logo/smalllogowithtext.png"/></span>
                </div>
                <div class="userdetails">
                  <span class="username">
                    <%= user.name %>
                  </span>
                  <span class="userage">
                    <%= user.age %>
                  </span>
                </div>
                <div class="appointmentdeatils">
                  <p class="scheduletime">
                    Call Scheduled <%= appointment.scheduled_time %>
                  </p>
                  <% if(appointment.zoomStartURL){ %>
                    <span class="zoomcall">
                      <a href="<%= appointment.zoomStartURL %>" target="_blank" class="btn btn-info" role="button">Start Call</a>
                    </span>
                  <% } %>
              </div>
            </div>
          <% })
          }
    } %>

  </div>
</div>
<%- include('partials/footer.ejs'); -%>
</body>
</html>
